
Redmine - Defect #8973

long git loop after upgrade to 1.2.1

2011-08-02 17:59 - Eugene Elementoff

Status: Closed Start date: 2011-08-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.2.1

Description

After upgrading to redmine version 1.2.1 from 1.1.3

opening projects with git repositories configured results in nginx error "gateway timeout",

and in a lot of messages in redmine log:

Resolving deltas: 100% (755/755), done.

remote: Counting objects: 2109, done.

remote: Compressing objects: 100% (2107/2107), done.

Receiving objects: 100% (2109/2109), 262.96 KiB, done.

remote: Total 2109 (delta 755), reused 3 (delta 0)

Resolving deltas: 100% (755/755), done.

remote: Counting objects: 2109, done.

remote: Compressing objects: 100% (2107/2107), done.

Receiving objects: 100% (2109/2109), 262.96 KiB, done.

remote: Total 2109 (delta 755), reused 3 (delta 0)

Resolving deltas: 100% (755/755), done.

remote: Counting objects: 2109, done.

...

output of them can long several minutes during first request to browse repo.

In small repositories with few files and commits - it works fine, but in others repos - hangs.   

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Edge Rails revision       unknown

Application root          /var/redmine/redmine

Environment               production

Database adapter          postgresql

Database schema version   20110511000000

About your Redmine plugins

Redmine Codebook plugin   0.3.1

ezFAQ plugin              0.3.5

Redmine Gitosis plugin    0.0.5

Related issues:

Is duplicate of Redmine - Defect #8857: Git: Too long in fetching repositorie... Closed 2011-07-20

History

#1 - 2011-08-03 03:04 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

2025-05-02 1/2



This is intended behavior.

Please see #8857.

#2 - 2011-08-26 08:53 - Jonas Juselius

- Status changed from Closed to Reopened

I confirm this bug, and it cannot possibly be the intended behavior: On our installation git "looped" (it the checkout of gitosis-admin.git which loops!) for

nearly 2 days before I got fed up and killed it. I had to uninstall the gitosis plugin in order to get fetch_changesets to work altogether. For more

information, please see http://www.redmine.org/boards/2/topics/25785 and my posts in #8857.

#3 - 2011-08-26 09:20 - Etienne Massip

Well, seems to be a gitosis plugin issue then?

#4 - 2011-08-26 09:53 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Please contact plugin author.
